debugserver_client_free
debugserver_client_new
debugserver_client_receive
debugserver_client_receive_response
debugserver_client_receive_with_timeout
debugserver_client_send
debugserver_client_send_command
debugserver_client_set_ack_mode
debugserver_client_set_argv
debugserver_client_set_environment_hex_encoded
debugserver_client_set_receive_params
debugserver_client_start_service
debugserver_client_t
debugserver_command_free
debugserver_command_new
debugserver_command_t
debugserver_decode_string
debugserver_encode_string
debugserver_error_t
DEBUGSERVER_SECURE_SERVICE_NAME
DEBUGSERVER_SERVICE_NAME

## debugserver_client_set_argv()

LIBIMOBILEDEVICE_API debugserver_error_t debugserver_client_set_argv | ( | debugserver_client_t | client,
|  | int | argc,
|  | char * | argv[],
|  | char ** | response )

Sets the argv which launches an app.

Parameters

  client | The debugserver client
  argc | Number of arguments
  argv | Array starting with the executable to be run followed by it's arguments
  response | Response received for the command (can be NULL to ignore)

Returns
  DEBUGSERVER_E_SUCCESS on success, DEBUGSERVER_E_INVALID_ARG when client is NULL